[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StringToGUID

Convert a string to a native TGUID type.

## Declaration

Source position: intfh.inc line 41

`function StringToGUID(`
`const S: string`
`):TGuid;`

## Description

StringToGUID converts the string S to a valid GUID. The string S should be of the form

    {XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}

Where each X is a hexadecimal digit. The dashes and braces are required.

## Errors

In case S contains an invalid GUID representation, a EConvertError exception is raised.

## See also

Supports |  | Check whether a class or given interface supports an interface
#rtl.system.TGUID |  | Standard GUID representation type.
GUIDToString |  | Convert a TGUID to a string representation.
IsEqualGuid |  | Check whether two TGUID variables are equal.

Documentation generated on: Feb 26 2014